import { httpApi } from '../../../request/httpApi'

export default {
    //人员档案条件分页查询
    async queryPage(form, msg = true) {
        return httpApi({
            url: '/api/blade-business/laboratory/user/archives/page',
            method: 'post',
            params: form,
        }, msg)
    },
    //人员档案新增或修改
    async submitForm(form, msg = true) {
        return httpApi({
            url: '/api/blade-business/laboratory/user/archives/submit',
            method: 'post',
            data: form,
        }, msg)
    },
    //人员档案批量删除
    async removeData(form, msg = true) {
        return httpApi({
            url: '/api/blade-business/laboratory/user/archives/remove',
            method: 'post',
            params: form,
        }, msg)
    },
}
